Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.multimedia
Enum MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum

    java.lang.Object
      java.lang.Enum<MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum>
          org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum

All Implemented Interfaces:
  Serializable, Comparable<MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum>

Enclosing class:
  MediaScreenParameters.Viability.FloatingWindowParameters

    public static enum MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum

extends Enum<MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum>

Enum Constant Summary
`Application` The application window.
`Custom` The monitor specified by `MediaScreenParameters.Viability.getMonitorSpecifier()`.
`Desktop` The full virtual desktop.
`Document` The document window.

Method Summary
`PdfInteger` | `getCode()`
`static MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum` | `valueOf(PdfInteger code)`
`static MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Document

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum Document

  The document window.

### Application

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum Application

  The application window.

### Desktop

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum Desktop

  The full virtual desktop.

### Custom

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum Custom

  The monitor specified by `MediaScreenParameters.Viability.getMonitorSpecifier()`.

Method Detail

### values

    public static MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum c : MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum valueOf(PdfInteger code)

### getCode

    public PdfInteger getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.